> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /euopendata/datasets

> Get EU Open Data Portal dataset details by ID or URL

**Price:** 1 credit

**⚠️ Common errors:** 412: Dataset not found



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/euopendata/datasets
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/euopendata/datasets:
    post:
      tags:
        - /euopendata
      summary: /euopendata/datasets
      description: |-
        Get EU Open Data Portal dataset details by ID or URL

        **Price:** 1 credit

        **⚠️ Common errors:** 412: Dataset not found
      operationId: __api_euopendata_datasets_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EuopendataDatasetPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/EuopendataDataset'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EuopendataDatasetPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        dataset:
          type: string
          minLength: 1
      type: object
      required:
        - dataset
    EuopendataDataset:
      properties:
        '@type':
          type: string
          default: EuopendataDataset
        id:
          type: string
        url:
          type: string
        landing_page:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        is_hvd:
          type: boolean
          default: false
        access_right:
          anyOf:
            - type: string
            - type: 'null'
        accrual_periodicity:
          anyOf:
            - type: string
            - type: 'null'
        scoring:
          anyOf:
            - type: integer
            - type: 'null'
        issued:
          anyOf:
            - type: string
            - type: 'null'
        modified:
          anyOf:
            - type: string
            - type: 'null'
        temporal_start:
          anyOf:
            - type: string
            - type: 'null'
        temporal_end:
          anyOf:
            - type: string
            - type: 'null'
        spatial:
          items:
            additionalProperties: true
            type: object
          type: array
          default: []
        languages:
          items:
            type: string
          type: array
          default: []
        keywords:
          items:
            $ref: '#/components/schemas/EuopendataKeyword'
          type: array
          default: []
        categories:
          items:
            $ref: '#/components/schemas/EuopendataCategoryRef'
          type: array
          default: []
        publisher:
          anyOf:
            - $ref: '#/components/schemas/EuopendataAgent'
            - type: 'null'
        creators:
          items:
            $ref: '#/components/schemas/EuopendataAgent'
          type: array
          default: []
        contact_points:
          items:
            $ref: '#/components/schemas/EuopendataContactPoint'
          type: array
          default: []
        catalog:
          anyOf:
            - $ref: '#/components/schemas/EuopendataCatalog'
            - type: 'null'
        distributions:
          items:
            $ref: '#/components/schemas/EuopendataDistribution'
          type: array
          default: []
      type: object
      required:
        - id
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    EuopendataKeyword:
      properties:
        '@type':
          type: string
          default: EuopendataKeyword
        label:
          type: string
        language:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - label
    EuopendataCategoryRef:
      properties:
        '@type':
          type: string
          default: EuopendataCategoryRef
        id:
          type: string
        label:
          anyOf:
            - type: string
            - type: 'null'
        resource:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    EuopendataAgent:
      properties:
        '@type':
          type: string
          default: EuopendataAgent
        name:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        email:
          anyOf:
            - type: string
            - type: 'null'
        homepage:
          anyOf:
            - type: string
            - type: 'null'
        resource:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    EuopendataContactPoint:
      properties:
        '@type':
          type: string
          default: EuopendataContactPoint
        name:
          anyOf:
            - type: string
            - type: 'null'
        email:
          anyOf:
            - type: string
            - type: 'null'
        telephone:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    EuopendataCatalog:
      properties:
        '@type':
          type: string
          default: EuopendataCatalog
        id:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        homepage:
          anyOf:
            - type: string
            - type: 'null'
        source_type:
          anyOf:
            - type: string
            - type: 'null'
        publisher:
          anyOf:
            - $ref: '#/components/schemas/EuopendataAgent'
            - type: 'null'
      type: object
    EuopendataDistribution:
      properties:
        '@type':
          type: string
          default: EuopendataDistribution
        id:
          anyOf:
            - type: string
            - type: 'null'
        format:
          anyOf:
            - type: string
            - type: 'null'
        media_type:
          anyOf:
            - type: string
            - type: 'null'
        download_url:
          anyOf:
            - type: string
            - type: 'null'
        access_url:
          anyOf:
            - type: string
            - type: 'null'
        license:
          anyOf:
            - type: string
            - type: 'null'
        languages:
          items:
            type: string
          type: array
          default: []
        availability:
          anyOf:
            - type: string
            - type: 'null'
        issued:
          anyOf:
            - type: string
            - type: 'null'
        modified:
          anyOf:
            - type: string
            - type: 'null'
        byte_size:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````